<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="1dp"
    android:orientation="horizontal">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:background="@drawable/collect_item_shape"
        android:orientation="horizontal"
        android:padding="3dp">

        <ImageView
            android:id="@+id/leftIcon"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center"
            android:src="@mipmap/gnc_ware_house_left_icon" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:orientation="vertical">

            <!--        第一行-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <!--                航班日期-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="6"
                    android:visibility="gone"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="航班日期"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/fdate"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>

                <!--                航班号-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="3"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="航班号"
                        android:visibility="gone"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/fno"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>

                <!--                航程-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="4"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="航程"
                        android:visibility="gone"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/range"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>

                <!--                经停-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:visibility="gone"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="经停"
                        android:visibility="gone"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/jtz"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>

            <!--        第二行-->
            <LinearLayout
                android:id="@+id/inLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="3"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <!--                计划到达-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:visibility="gone"
                        android:text="计划到达"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/scheduledArrival"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>

                <!--                预计到达-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="预计到达"
                        android:visibility="gone"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/estimatedArrival"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>

                <!--                实际到达-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:visibility="gone"
                        android:text="实际到达"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/actualArrival"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>

            </LinearLayout>

            <!--        第三行-->
            <LinearLayout
                android:id="@+id/outLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="3"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <!--                计划起飞-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:visibility="gone"
                        android:text="计划起飞"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/scheduledTackOff"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>

                <!--                预计起飞-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:visibility="gone"
                        android:text="预计起飞"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/estimatedTakeOff"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>


                <!--                实际起飞-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="2"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:visibility="gone"
                        android:text="实际起飞"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/actualTakeOff"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>

            </LinearLayout>
            </LinearLayout>
            <!--        分割线-->
            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="@drawable/dash_line"
                android:layerType="software" />

            <!--        第四行-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:orientation="horizontal">
                <!--                地区类型-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:visibility="gone"
                        android:text="地区类型"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/countryType"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>
                <!--                延误原因-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="3"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:gravity="center"
                        android:text="延误原因"
                        android:textColor="@color/weak_grey" />

                    <TextView
                        android:id="@+id/delayFreeText"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="2dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:textColor="@color/weak_grey2"
                        android:text="" />
                </LinearLayout>

            </LinearLayout>

        </LinearLayout>
    </LinearLayout>

</LinearLayout>

